Bug 826240 - please build libtiff with JBIG support
please build libtiff with JBIG support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libtiff (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 16:27 EDT by Lee Howard
Modified: 2013-07-02 23:44 EDT (History)
2 users (show)

See Also:
Fixed In Version: libtiff-4.0.1-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-01 16:35:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Howard 2012-05-29 16:27:36 EDT
Now that Fedora comes with jbigkit available from the Fedora repositories, libtiff should also now be built with JBIG support.  Just add a --enable-jbig to the configure line (or remove the --disable-jbig).

This is particularly useful for fax users (HylaFAX/HylaFAX+) who would like to receive JBIG-compressed faxes and make use of that fax with a viewer that doesn't support JBIG.  (The user would use libtiff to convert the fax from JBIG compression to something decipherable by the viewing program, such as G4.)
Comment 1 Tom Lane 2012-05-29 16:47:09 EDT
Oh, the patents finally lapsed?  Cool.

Note You need to log in before you can comment on or make changes to this bug.